## com.arsdigita.cms.docmgr.ui
Class SearchStringValidationListener

    java.lang.Object
      com.arsdigita.cms.docmgr.ui.SearchStringValidationListener

All Implemented Interfaces:
  EventListener, com.arsdigita.bebop.event.ParameterListener

public class SearchStringValidationListener
extends Object
implements com.arsdigita.bebop.event.ParameterListener

Performs IntermediaSearcher.cleanSearchString() on search string and adds an error if the cleaned search string is null

Field Summary

Fields inherited from interface com.arsdigita.bebop.event.ParameterListener
`versionId`

Constructor Summary
`SearchStringValidationListener()`

Method Summary
`void` `validate(com.arsdigita.bebop.event.ParameterEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchStringValidationListener

    public SearchStringValidationListener()

Method Detail

### validate

    public void validate(com.arsdigita.bebop.event.ParameterEvent event)
                  throws com.arsdigita.bebop.FormProcessException

  Specified by:
    `validate` in interface `com.arsdigita.bebop.event.ParameterListener`
  Throws:
    `com.arsdigita.bebop.FormProcessException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC